# Uses of Class
org.sunflow.core.Scene

Packages that use Scene
Package
Description
org.sunflow.core
org.sunflow.core.gi
org.sunflow.core.renderer

## Uses of Scene in org.sunflow.core

Methods in org.sunflow.core with parameters of type Scene
Modifier and Type
Method
Description
`boolean`
GIEngine.`init(Options options, Scene scene)`
Initialize the engine.
`boolean`
ImageSampler.`prepare(Options options, Scene scene, int w, int h)`
Prepare the sampler for rendering an image of w x h pixels

## Uses of Scene in org.sunflow.core.gi

Methods in org.sunflow.core.gi with parameters of type Scene
Modifier and Type
Method
Description
`boolean`
AmbientOcclusionGIEngine.`init(Options options, Scene scene)`
`boolean`
FakeGIEngine.`init(Options options, Scene scene)`
`boolean`
InstantGI.`init(Options options, Scene scene)`
`boolean`
IrradianceCacheGIEngine.`init(Options options, Scene scene)`
`boolean`
PathTracingGIEngine.`init(Options options, Scene scene)`

## Uses of Scene in org.sunflow.core.renderer

Methods in org.sunflow.core.renderer with parameters of type Scene
Modifier and Type
Method
Description
`boolean`
BucketRenderer.`prepare(Options options, Scene scene, int w, int h)`
`boolean`
MultipassRenderer.`prepare(Options options, Scene scene, int w, int h)`
`boolean`
ProgressiveRenderer.`prepare(Options options, Scene scene, int w, int h)`
`boolean`
SimpleRenderer.`prepare(Options options, Scene scene, int w, int h)`